import { remote } from 'electron';
import { useEffect, useState } from 'react';
import { getColorScheme } from '../apis/Appearance';
export const useColorScheme = () => {
  const [scheme, setScheme] = useState(getColorScheme());
  useEffect(() => {
    const onUpdated = () => {
      setScheme(getColorScheme());
    };

    remote.nativeTheme.on('updated', onUpdated);
    return () => {
      remote.nativeTheme.removeListener('updated', onUpdated);
    };
  }, []);
  return scheme;
};