"use strict";

exports.__esModule = true;
exports.useColorScheme = void 0;

var _electron = require("electron");

var _react = require("react");

var _Appearance = require("../apis/Appearance");

const useColorScheme = () => {
  const [scheme, setScheme] = (0, _react.useState)((0, _Appearance.getColorScheme)());
  (0, _react.useEffect)(() => {
    const onUpdated = () => {
      setScheme((0, _Appearance.getColorScheme)());
    };

    _electron.remote.nativeTheme.on('updated', onUpdated);

    return () => {
      _electron.remote.nativeTheme.removeListener('updated', onUpdated);
    };
  }, []);
  return scheme;
};

exports.useColorScheme = useColorScheme;